#!/bin/bash
set -e

lat=${1:-0.0}
lon=${2:-0.0}

hood="$(./voronoi/test_voronoi.awk $lat $lon < voronoi/voronoi)"
for poly in poly/*.poly; do
	if ./poly/test_poly.awk -- $lat $lon < "$poly"; then
		hood=$(basename $poly .poly)
		break
	fi
done

cat "hood/$hood.json"

echo


